curl --request POST \
--url {scheme}://{host}:{port}/{basePath}/v1/table/{id}/index/{index_name}/drop \
--header 'Authorization: Bearer <token>'{
"transaction_id": "<string>"
}Drop a specific index
Drop the specified index from table id.
REST NAMESPACE ONLY
REST namespace does not use a request body for this operation.
The DropTableIndexRequest information is passed in the following way:
id: pass through path parameter of the same nameindex_name: pass through path parameter of the same name
A valid request URL is required to generate request examples{
"transaction_id": "<string>"
}Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
string identifier of an object in a namespace, following the Lance Namespace spec.
When the value is equal to the delimiter, it represents the root namespace.
For example, v1/namespace/$/list performs a ListNamespace on the root namespace.
Name of the index to drop
Query Parameters
An optional delimiter of the string identifier, following the Lance Namespace spec.
When not specified, the $ delimiter must be used.
Response
Index drop operation result
Response for drop index operation
Optional transaction identifier
Was this page helpful?